Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kohsuke.rngom.ast.builder
Interface Annotations<E extends ParsedElementAnnotation,L extends Location,CL extends CommentList<L>>

All Known Subinterfaces:
  ElementAnnotationBuilder<P,E,L,A,CL>

All Known Implementing Classes:
  SchemaBuilderImpl

    public interface Annotations<E extends ParsedElementAnnotation,L extends Location,CL extends CommentList<L>>

Includes attributes and child elements before any RELAX NG element.

Method Summary
`void` | `addAttribute(java.lang.String ns, java.lang.String localName, java.lang.String prefix, java.lang.String value, L loc)` Called for an attribute annotation.
`void` | `addComment(CL comments)` Adds comments following the last initial child element annotation.
`void` | `addElement(E ea)` Called for a child element annotation.
`void` | `addLeadingComment(CL comments)`

Method Detail

### addAttribute

    void addAttribute(java.lang.String ns,
                      java.lang.String localName,
                      java.lang.String prefix,
                      java.lang.String value,
                      L loc)
                      throws BuildException

  Called for an attribute annotation.

  Throws:
    `BuildException`

### addElement

    void addElement(E ea)
                    throws BuildException

  Called for a child element annotation.

  Throws:
    `BuildException`

### addComment

    void addComment(CL comments)
                    throws BuildException

  Adds comments following the last initial child element annotation.

  Throws:
    `BuildException`

### addLeadingComment

    void addLeadingComment(CL comments)
                           throws BuildException

  Throws:
    `BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD